<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.estate.mapper.TemperatureRecordMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="temperatureRecordResultMap" type="org.springblade.estate.entity.TemperatureRecord">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="original_picture_url" property="originalPictureUrl"/>
        <result column="face_url" property="faceUrl"/>
        <result column="infrared_original_picture_url" property="infraredOriginalPictureUrl"/>
        <result column="infrared_face_url" property="infraredFaceUrl"/>
        <result column="camera_id" property="cameraId"/>
        <result column="camera_name" property="cameraName"/>
        <result column="recog_time" property="recogTime"/>
        <result column="temperature" property="temperature"/>
        <result column="product_id" property="productId"/>
        <result column="device_id" property="deviceId"/>
        <result column="device_name" property="deviceName"/>
        <result column="match_value" property="matchValue"/>
        <result column="person_name" property="personName"/>
        <result column="phone" property="phone"/>
        <result column="address" property="address"/>
        <result column="age" property="age"/>
        <result column="type" property="type"/>
        <result column="longitude" property="longitude"/>
        <result column="latitude" property="latitude"/>
        <result column="gender" property="gender"/>
        <result column="is_exception" property="isException"/>
    </resultMap>


    <select id="selectTemperatureRecordPage" resultMap="temperatureRecordResultMap">
        select * from estate_temperature_record where is_deleted = 0
    </select>

</mapper>
